import request from '@/utils/request'

// 租户总后台 → fs-admin-saas /company/companyVoiceBlacklist（租户级12 + 线路级13）
export function listApi(query) {
  return request({
    url: '/company/companyVoiceBlacklist/list',
    method: 'get',
    params: query
  })
}

export function getApi(id) {
  return request({
    url: '/company/companyVoiceBlacklist/' + id,
    method: 'get'
  })
}

export function addApi(data) {
  return request({
    url: '/company/companyVoiceBlacklist',
    method: 'post',
    data: data
  })
}

export function updateApi(data) {
  return request({
    url: '/company/companyVoiceBlacklist',
    method: 'put',
    data: data
  })
}

export function delApi(ids) {
  return request({
    url: '/company/companyVoiceBlacklist/' + ids,
    method: 'delete'
  })
}

export function exportApi(data) {
  return request({
    url: '/company/companyVoiceBlacklist/export',
    method: 'post',
    data: data
  })
}

export function changeStatusApi(data) {
  return request({
    url: '/company/companyVoiceBlacklist/changeStatus',
    method: 'put',
    data: data
  })
}

export function queryPhoneApi(id) {
  return request({
    url: '/company/companyVoiceBlacklist/queryPhone/' + id,
    method: 'get'
  })
}
